image: golang:1.15

lint:
  stage: test
  script:
    - go get -u golang.org/x/lint/golint
    - golint -set_exit_status

test:
  stage: test
  script:
    - go get ./...
    - go test -race -cover -v ./...
  coverage: '/coverage: \d+.\d+% of statements/'
